/*******************************************************************************
 *	Main.h		BEAM BdsMetadata
 *			T.Barnaby, 	BEAM Ltd,	2011-07-05
 *******************************************************************************
 */
#ifndef Main_H
#define Main_H	1

#include <stdio.h>
#include <Node.h>
#include <BDict.h>

#define	YYSTYPE	Node*

class Parameters {
public:
			Parameters(){
				verbose = 0;
				dryRun = 0;
				maxChanges = 1;
			}

	BString		serverName;
	BString		command;
	BString		commandFile;
	int		verbose;
	int		dryRun;
	BUInt		maxChanges;
	BDictString	variables;
};

/* External Functions used */
extern	int	yyparse();
extern	int	column, line;
extern Node*	result;
extern BString	fileName;

#endif
